Index: main/tcptls.c
===================================================================
--- main/tcptls.c	(revision 99483)
+++ main/tcptls.c	(working copy)
@@ -88,6 +88,8 @@
 #ifdef DO_SSL
 	else
 		return ssl_read(ser->ssl, buf, count);
+#else
+	return SET_A_VALUE_TO_RETURN_IF_WE_HAVE_NO_DO_SSL;
 #endif
 }
 
@@ -98,6 +100,8 @@
 #ifdef DO_SSL
 	else
 		return ssl_write(ser->ssl, buf, count);
+#else
+	return SET_A_VALUE_TO_RETURN_IF_WE_HAVE_NO_DO_SSL;
 #endif
 }
 
@@ -356,9 +360,11 @@
 void *ast_make_file_from_fd(void *data)
 {
 	struct server_instance *ser = data;
+#ifdef DO_SSL
 	int (*ssl_setup)(SSL *) = (ser->client) ? SSL_connect : SSL_accept;
 	int ret;
 	char err[256];
+#endif
 
 	/*
 	* open a FILE * as appropriate.
